package database

import (
	"database/sql"
	_ "github.com/mattn/go-sqlite3"
	"log"
)

func MakeConn(databasePath *string) *sql.DB {
	log.Println("opening database at", *databasePath, "with foreign keys enabled")
	dbConn, err := sql.Open("sqlite3", *databasePath+"?_foreign_keys=on")
	if err != nil {
		panic(err)
	}

	return dbConn
}
